
module EasySolr
  module ResultItem

    @nn_num_found = nil
    @nn_items     = []

    ##
    # ==== Description
    #
    # 解析下面的返回值
    # {
    #  "responseHeader"=>
    #     {
    #       "status"=>0,
    #       "QTime"=>62,
    #       "params"=>{"q"=>"title_texts: 奥迪", "rows"=>"10", "wt"=>"ruby"}
    #     },
    #     "response"=>
    #       { "numFound"=>171, "start"=>0,
    #           "docs"=>[
    #             {"deal_id"=>"921384", "tb_sub_tag_id_its"=>74, "begin_date_ls"=>1424448000, "nick_name_texts"=>"金思盈玩具特卖店", "type_texts"=>"Deal", "second_editor_name_texts"=>"折800运营chenfang 素素", "brand_id_its"=>9866, "tb_tag_id_its"=>7, "end_date_ls"=>1425657600, "cancel_status_its"=>1, "wangwang_texts"=>"金思盈玩具专营店", "source_type_its"=>1, "complete_status_its"=>1, "title_texts"=>"金思盈奥迪Q5遥控车  拾美奥迪Q5遥控车", "suspended_status_its"=>1, "second_editor_id_its"=>762, "candidate_deal_type_id_its"=>23, "_version_"=>1499865062339248132},
    #             {"deal_id"=>"921386", "tb_sub_tag_id_its"=>74, "begin_date_ls"=>1424448000, "nick_name_texts"=>"金思盈玩具特卖店", "type_texts"=>"Deal", "second_editor_name_texts"=>"折800运营chenfang 素素", "brand_id_its"=>9866, "tb_tag_id_its"=>7, "end_date_ls"=>1425657600, "cancel_status_its"=>1, "wangwang_texts"=>"金思盈玩具专营店", "source_type_its"=>1, "complete_status_its"=>1, "title_texts"=>"金思盈奥迪Q7遥控车  拾美奥迪Q7遥控车", "suspended_status_its"=>1, "second_editor_id_its"=>762, "candidate_deal_type_id_its"=>23, "_version_"=>1499865062339248133}
    #            ]
    #       }
    #   }
    #

    ##
    # ==== Description
    #
    # 获取返回值，该值为所有匹配的记录条数
    #
    # ==== Return
    #
    # 匹配记录条数
    #
    def num_found
      @nn_num_found
    end

    ##
    # ==== Description
    #
    # 返回记录
    #
    def result_items
      @nn_items
    end

    def result_perform(result)
      @nn_num_found = result["response"]["numFound"]
      @nn_items     = result["response"]["docs"]

      self
    end

  end
end

